# coding: utf8


class DocGenBase:
    def __init__(self, base_url=None, app_name=None):
        self.before_init()
        self.base_url = base_url
        self.app_name = app_name
        self.after_init()

    def before_init(self):
        pass

    def after_init(self):
        pass

    def process_server(self, data):
        pass


# eof
