import os


def write_pidfile():
    """
    zapise pidfile
    """
    try:
        filename = os.environ["PIDFILE"]
    except KeyError:
        print("PIDFILE variable not set!")
        print("Master process PID: %s" % os.getpid())
        return

    f = open(filename, "w")

    if not f:
        print("Cant open PIDFILE: %s" % filename)
        os.sys.exit(1)
    # endif

    f.write(str(os.getpid()))
    f.write("\n")
    f.close()
# endif
